list_service_specific_credentials¶
Operation¶
list_service_specific_credentials
async
¶
list_service_specific_credentials(request: ListServiceSpecificCredentialsInput | ListServiceSpecificCredentialsInputDict, /, *, plugins: list[Plugin] | None = None) -> ListServiceSpecificCredentialsOutput
list_service_specific_credentials(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListServiceSpecificCredentialsInputDict]) -> ListServiceSpecificCredentialsOutput
Returns information about the service-specific credentials associated with the specified IAM user. If none exists, the operation returns an empty list. The service-specific credentials returned by this operation are used only for authenticating the IAM user to a specific service. For more information about using service-specific credentials to authenticate to an Amazon Web Services service, refer to the following docs:
-
For service-specific credentials with CodeCommit, refer to IAM credentials for CodeCommit: Git credentials, SSH keys, and Amazon Web Services access keys in the IAM User Guide.
-
For service-specific credentials with Amazon Keyspaces (for Apache Cassandra), refer to Use IAM with Amazon Keyspaces (for Apache Cassandra) in the IAM User Guide.
-
For services that support long-term API keys, refer to API keys for Amazon Web Services services in the IAM User Guide.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
plugins
|
list[Plugin] | None
|
A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations. |
None
|
Returns:
| Type | Description |
|---|---|
ListServiceSpecificCredentialsOutput
|
An instance of |
Input¶
Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.
Model¶
ListServiceSpecificCredentialsInput
dataclass
¶
Bases: _SerdeShape
Dataclass for ListServiceSpecificCredentialsInput structure.
Attributes¶
all_users
class-attribute
instance-attribute
¶
all_users: bool | None = ...
A flag indicating whether to list service specific credentials for all users. This parameter cannot be specified together with UserName. When true, returns all credentials associated with the specified service.
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of the Marker from the response that you received to indicate where the next call should start.
max_items
class-attribute
instance-attribute
¶
max_items: int | None = ...
Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify, the IsTruncated response element is true.
service_name
class-attribute
instance-attribute
¶
service_name: str | None = ...
Filters the returned results to only those for the specified Amazon Web Services service. If not specified, then Amazon Web Services returns service-specific credentials for all services.
user_name
class-attribute
instance-attribute
¶
user_name: str | None = ...
The name of the user whose service-specific credentials you want information about. If this value is not specified, then the operation assumes the user whose credentials are used to call the operation.
This parameter allows (through its regex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+=,.@-
Dictionaries¶
ListServiceSpecificCredentialsInputDict
¶
Bases: TypedDict
Dictionary form of ListServiceSpecificCredentialsInput.
Attributes¶
all_users
instance-attribute
¶
all_users: bool | None
A flag indicating whether to list service specific credentials for all users. This parameter cannot be specified together with UserName. When true, returns all credentials associated with the specified service.
marker
instance-attribute
¶
marker: str | None
Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of the Marker from the response that you received to indicate where the next call should start.
max_items
instance-attribute
¶
max_items: int | None
Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify, the IsTruncated response element is true.
service_name
instance-attribute
¶
service_name: str | None
Filters the returned results to only those for the specified Amazon Web Services service. If not specified, then Amazon Web Services returns service-specific credentials for all services.
user_name
instance-attribute
¶
user_name: str | None
The name of the user whose service-specific credentials you want information about. If this value is not specified, then the operation assumes the user whose credentials are used to call the operation.
This parameter allows (through its regex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+=,.@-
Output¶
ListServiceSpecificCredentialsOutput
dataclass
¶
Bases: _SerdeShape
Dataclass for ListServiceSpecificCredentialsOutput structure.
Attributes¶
is_truncated
class-attribute
instance-attribute
¶
is_truncated: bool = ...
A flag that indicates whether there are more items to return. If your results were truncated, you can make a subsequent pagination request using the Marker request parameter to retrieve more items.
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
When IsTruncated is true, this element is present and contains the value to use for the Marker parameter in a subsequent pagination request.
response_metadata
class-attribute
instance-attribute
¶
Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.
service_specific_credentials
class-attribute
instance-attribute
¶
service_specific_credentials: list[ServiceSpecificCredentialMetadata] | None = ...
A list of structures that each contain details about a service-specific credential.